%define oname plasma-nm

Summary:	Plasma 5 applet network management module
Name:		plasma5-nm
Version:	5.7.2
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		plasma-nm-5.7.2-l10n.patch
Patch1:		plasma-nm-5.7.2-pppoe-editor.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5completion-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5modemmanagerqt-devel
BuildRequires:	kf5networkmanagerqt-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(ModemManager)
BuildRequires:	pkgconfig(NetworkManager)
BuildRequires:	pkgconfig(openconnect)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	networkmanager
Requires:	qca2-qt5-plugin-openssl
Conflicts:	plasma-applet-networkmanagement
Conflicts:	plasma-nm
Conflicts:	knetworkmanager-common

%description
Plasma 5 applet network management module. It provides plasma applet and
editor for managing your network connections in Plasma 5 using the default
NetworkManager service.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/kde5-nm-connection-editor.desktop
%{_kde5_bindir}/kde5-nm-connection-editor
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/*
%{_kde5_libdir}/libplasmanm_editor.so
%{_kde5_libdir}/libplasmanm_internal.so
%{_kde5_notificationsdir}/networkmanagement.notifyrc
%dir %{_kde5_qmldir}/org/kde/plasma/networkmanagement/
%{_kde5_qmldir}/org/kde/plasma/networkmanagement/*
%{_kde5_plugindir}/kded/networkmanagement.so
%{_kde5_services}/plasma-applet-org.kde.plasma.networkmanagement.desktop
%{_kde5_services}/plasmanetworkmanagement_l2tpui.desktop
%{_kde5_services}/plasmanetworkmanagement_openconnectui.desktop
%{_kde5_services}/plasmanetworkmanagement_openswanui.desktop
%{_kde5_services}/plasmanetworkmanagement_openvpnui.desktop
%{_kde5_services}/plasmanetworkmanagement_pptpui.desktop
%{_kde5_services}/plasmanetworkmanagement_sshui.desktop
%{_kde5_services}/plasmanetworkmanagement_sstpui.desktop
%{_kde5_services}/plasmanetworkmanagement_strongswanui.desktop
%{_kde5_services}/plasmanetworkmanagement_vpncui.desktop
%{_kde5_servicetypes}/plasma-networkmanagement-vpnuiplugin.desktop
%{_kde5_xmlguidir}/kde5-nm-connection-editor/kde5-nm-connection-editorui.rc
%{_qt5_plugindir}/libplasmanetworkmanagement_l2tpui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_openconnectui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_openswanui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_openvpnui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_pptpui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_sshui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_sstpui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_strongswanui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_vpncui.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kde5-nm-connection-editor \
           plasma_applet_org.kde.plasma.networkmanagement \
           plasmanetworkmanagement-kded \
           plasmanetworkmanagement_l2tpui \
           plasmanetworkmanagement-libs \
           plasmanetworkmanagement_openconnectui \
           plasmanetworkmanagement_openswanui \
           plasmanetworkmanagement_openvpnui \
           plasmanetworkmanagement_pptpui \
           plasmanetworkmanagement_sshui \
           plasmanetworkmanagement_sstpui \
           plasmanetworkmanagement_strongswanui \
           plasmanetworkmanagement_vpncui \
           %{oname}.lang


%changelog

* Thu Jul 28 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (04c56af) Backport patch from upstream (fix data validation when creating new pppoe connections)

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (0d668dd) Re-diff l10n patch
- (valerol: b419005) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (f92a91e) Re-diff l10n patch
- (Andrey Bondrov: 7099f2c) New version 5.6.5

* Thu Apr 21 2016 valerol <valerol@ya.ru> 5.6.3-1
- (c375e06) Re-diff l10n patch
- (Andrey Bondrov: 88ba7d2) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (b6ee9c4) MassBuild#1027: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (a9c1c8e) Update l10n patch
- (Andrey Bondrov: e7c4e13) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (e6bfc3c) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (d46605d) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (8f79be2) Update Russian translation
- (Andrey Bondrov: 7d65e64) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (c08fa17) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (954e4d9) Require qca2-qt5-plugin-openssl
- (Andrey Bondrov: e603bba) Update files (move networkmanagement kded module to new path)
- (Andrey Bondrov: 8aab3a6) Build requires pkgconfig(qca2-qt5)
- (Andrey Bondrov: 9dd50fb) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (c8abdd0) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (2177aaf) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (6378c95) Drop ru translation patch (fixed upstream)
- (Andrey Bondrov: 1a8c6b8) New version 5.4.1

* Mon Sep 07 2015 Denis Silakov <denis.silakov@rosalab.ru> 5.4.0-3
- (0c772cb) Rebuild with new openconnect

* Mon Aug 31 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-2
- (b93bb3b) Update translations

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (a444373) Update files (add sshui and sstpui files)
- (Andrey Bondrov: f5e2c81) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (ff58262) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (2dcb0ad) New version 5.3.2

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (67ef258) New version 5.3.1


